
uniform vec4 texScaleTrans0;
uniform vec4 texScaleTrans1;
uniform int forcePrimDepth;
uniform float primDepth;

varying vec2 Texcoord0;
varying vec2 Texcoord1;

void main(void)
{
    gl_FrontColor = gl_Color;
	gl_Position = ftransform();
	if(forcePrimDepth)
		gl_Position.z = primDepth * gl_Position.w;

	Texcoord0.x = gl_MultiTexCoord0.x * texScaleTrans0[0] + texScaleTrans0[2];
	Texcoord0.y = gl_MultiTexCoord0.y * texScaleTrans0[1] + texScaleTrans0[3];
	
	Texcoord1.x = gl_MultiTexCoord0.x * texScaleTrans1[0] + texScaleTrans1[2];
	Texcoord1.y = gl_MultiTexCoord0.y * texScaleTrans1[1] + texScaleTrans1[3];
}
